#include <iostream>
#include <map>
#include <set>
#include <iomanip>
#include <vector>

using namespace std;

int N,a;
double suma,maxsuma,p;
vector<int>A;
vector<double>P;
multimap<double,double>mapa;
set<double>procenti;

int main(){

    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    cin>>N;
    for(int i=0;i<N;i++){
        cin>>a>>p;
        A.push_back(a);
        P.push_back(p);
    }
    for(int i=0;i<N;i++){
        suma=0;
        for(int j=0;j<N;j++){
            if(P[j]>=P[i]){
                suma+=P[i]*A[j]/100.0;
            }
        }
        maxsuma=max(suma,maxsuma);
    }

    cout<<fixed<<setprecision(15)<<maxsuma;

}